EZ_TreeTraverseTree(3)

NAME
EZ_TreeTraverseTree - travers a subtree

SYNOPSIS
#include <EZ.h>

void EZ_TreeTraverseTree(EZ_TreeNode *root,
		 void (*preF)(EZ_TreeNode * node),
		 void (*postF)(EZ_TreeNode * node))

ARGUMENTS

root Specifies a tree node, the root of a subtree.

preF Specifies a procedure to be executed at a node before visiting the children of the node.

postF Specifies a procedure to be executed at a node after all descendants of the node have been visited.

DESCRIPTION

EZ_TreeTraverseTree travers the subtree rooted at root executes the given procedures.

SEE ALSO
EZ_CreateTreeNode(3), EZ_TreeSetCharacter(3)